library ieee;
use ieee.numeric_std.all;
use ieee.std_logic_1164.all;

package quarkpkg is

--  constant CLK_PERIOD : time := 1.4 ns;
  constant CLK_PERIOD : time := 10 us;

  constant RATE   : integer := 1;
  constant WWIDTH : integer := 17;
  constant DIGEST : integer := 16;
  constant LWIDTH : integer := 10;
  constant ROUND  : integer := 4*WWIDTH*8/8;
  constant PDEG   : integer := 8;

  constant INITSTATE : std_logic_vector(0 to WWIDTH*8-1) := x"D8DACA44" &
                                                            x"414A0997" &
                                                            x"19C80AA3" &
                                                            x"AF065644" &
                                                            x"DB";       

end quarkpkg;
